#include<bits/stdc++.h>
using namespace std;
int n,q,a[1000005],b,veci,manji,jednaki,resenje;
int main(){
    cin>>n>>q;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    cin>>b;
    for(int i=1;i<=n;i++){
        if(a[i]<b){
            manji++;
        }
        else if(a[i]>b){
            veci++;
        }
        else{
            jednaki++;
        }
    }
    if(manji==veci and jednaki%2==1){
        resenje=0;
    }
    else if(manji==veci and jednaki%2==0){
        resenje=1;
    }
    else{
        resenje=abs(manji-veci)-jednaki;
    }
    cout<<resenje<<endl;
    return 0;
}